# Retrieve a General Ledger Account

`GET /lokta-lms/api/v1/glaccounts/{glAccountId}`

Returns one general ledger account from the chart of accounts.

Example Requests:

glaccounts/1

glaccounts/1?template=true

glaccounts/1?fields=name,glCode

glaccounts/1?fetchRunningBalance=true

## Parameters
- `glAccountId` (path, integer, required): glAccountId
- `fetchRunningBalance` (query, boolean): fetchRunningBalance

## Responses
- `200`: OK

## Response fields
- `description` (string)
- `disabled` (boolean)
- `glCode` (string)
- `id` (integer)
- `manualEntriesAllowed` (boolean)
- `name` (string)
- `nameDecorated` (string)
- `organizationRunningBalance` (integer)
- `parentId` (integer)
- `tagId` (CodeValueData)
- `type` (EnumOptionData)
- `usage` (EnumOptionData)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/glaccounts/{glAccountId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "description": "Desc",
  "disabled": false,
  "glCode": "100001",
  "id": 16
}
```

Interactive: https://developer.lokta.ai/reference#operation/retreiveAccount
